Subject: RE: roadmap

From: Ambarish Malpani <[email-masked]>
Date: Wed, 24 Apr 2002 10:17:30 -0700

Hi Peter,
    The "small minor syntax changes" are not quite so small and
minor. I don't know who else supports them or which subset of them
are supported.

Getting OCSP through interop testing took an non-trivial amount of
time. I would hate to need to go through that work again for
changes that don't benefit the OCSP spec at all.

Regards,
Ambarish

---------------------------------------------------------------------
Ambarish Malpani
Chief Architect                                          650.567.5457
ValiCert, Inc.                                  [email-masked]
1215 Terra Bella Ave.                         http://www.valicert.com
Mountain View, CA 94043

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, April 24, 2002 9:28 AM
> To: [email-masked]; [email-masked];
> [email-masked]
> Cc: [email-masked]
> Subject: RE: roadmap
> 
> 
> 
> "Michael Myers" <[email-masked]> writes:
> 
> >v2's status mostly tracks that of the DPV and DPD 
> requirements, which have
> >only recently settled down after about a year's worth of 
> effort.  As I said
> >before, it didn't make much sense to track that moving 
> target with incremental
> >I-Ds.  I once had three separate I-Ds but that got so hard 
> to manage and work
> >due to syntatic and editorial overlap (not to mention 
> review) that I put them
> >all in one.  I prefer to keep that structure together while 
> we see how things
> >shake out re: DPV/DPD.  Since 2560bis is pretty well on its 
> way, I think we
> >should let that go forward cleanly rather than force a reset 
> due to adding new
> >syntax.
> 
> The problem with this is that it ties a small and very 
> trivial change to 2560
> (a few more IDs added to the CHOICE) to a complex, 
> controversial, and likely-
> to-take-ages-to-sort-out new protocol (DPV/DPD), which more 
> or less dooms the
> small change to 2560 to a completion date of about 2005 or 
> so.  Is it possible
> to break out the minor-2560-tweaks (rather than the 
> completely new protocol
> bits) into a small draft of its own?  There's probably not 
> more than a page of
> text in there (not counting the usual boilerplate).
> 
> Peter.
>